Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.json.config
Class MapperFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean<org.codehaus.jackson.map.ObjectMapper>
          org.mule.module.json.config.MapperFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean<org.codehaus.jackson.map.ObjectMapper>, org.springframework.beans.factory.InitializingBean

    public class MapperFactoryBean

extends org.springframework.beans.factory.config.AbstractFactoryBean<org.codehaus.jackson.map.ObjectMapper>

TODO

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`MapperFactoryBean()`

Method Summary
`protected org.codehaus.jackson.map.ObjectMapper` | `createInstance()`
`Map<Class<?>,Class<?>>` | `getMixins()`
`String` | `getName()`
`Class<?>` | `getObjectType()`
`void` | `setMixins(Map<Class<?>,Class<?>> mixins)`
`void` | `setName(String name)`

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapperFactoryBean

    public MapperFactoryBean()

Method Detail

### getObjectType

    public Class<?> getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.codehaus.jackson.map.ObjectMapper>`
  Specified by:
    `getObjectType` in class `org.springframework.beans.factory.config.AbstractFactoryBean<org.codehaus.jackson.map.ObjectMapper>`

### createInstance

    protected org.codehaus.jackson.map.ObjectMapper createInstance()
                                                            throws Exception

  Specified by:
    `createInstance` in class `org.springframework.beans.factory.config.AbstractFactoryBean<org.codehaus.jackson.map.ObjectMapper>`
  Throws:
    `Exception`

### getMixins

    public Map<Class<?>,Class<?>> getMixins()

### setMixins

    public void setMixins(Map<Class<?>,Class<?>> mixins)

### getName

    public String getName()

### setName

    public void setName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.